\documentclass{standalone}
\usepackage{tikz}
\usetikzlibrary{3d,arrows.meta}
\begin{document}
\begin{tikzpicture}[>=latex,
    conductor/.style={line width=2pt,orange,rounded corners}]

  \begin{scope}[canvas is zy plane at x=0]
    % Y axis
    \draw[->,gray] (0,-2) -- (0,4) node[above] {Y};
  \end{scope}

  \begin{scope}[canvas is zx plane at y=0]
    % Z axis
    \draw[->,gray] (-4,0) -- (4,0) node[below] {Z};
  \end{scope}

  \begin{scope}[canvas is xy plane at z=0]
    % X axis
    \draw[->,gray] (-2.5,0) -- (4,0) node[right] {X};

    % magnetic field
    \node[blue] at(-4,3.5) {$\vec{B}$};
    \foreach \h in {-1,0,...,3}
    \draw[->,blue] (-6,\h) -- ++(3,0);

    % conductor
    %\draw[conductor] (0,0) -- (2,0);
  \end{scope}

  % conductor (rotated around y axis)
  \def \angle{-45};
  \def \width{4};
  \def \height{2};
  \def \separation{0.2}
  \begin{scope}[
      plane origin={(0,0,0)},
      plane x={({cos(\angle)},0,{sin(\angle)})},
      plane y={(0,1,0)},
      canvas is plane
    ]
    \draw[conductor]
    (\separation/2,-1) -- ++(0,1)
    -- ++({(\width-\separation)/2},0) node[below right] {D}
    -- ++(0,\height/2) coordinate (R) -- ++(0,\height/2) node[above right] {A}
    -- ++(-\width,0) node[above left] {B}
    -- ++(0,-\height/2) coordinate (L) -- ++(0,-\height/2) node[below left] {C}
    -- ++({(\width-\separation)/2},0) -- ++(0,-1);
  \end{scope}

  \begin{scope}[canvas is zy plane at x=0]
    \draw[->] (R) -- ++(0:-2) node[pos=1.2] {$\vec{F}_{AD}$};
    \draw[->] (L) -- ++(0:2) node[pos=1.2] {$\vec{F}_{BC}$};
  \end{scope}
  
  
\end{tikzpicture}
\end{document}
